import fetch from "../Axios/AxiosAPI";
import Qs from 'qs'

// example 获取数据json模拟
export function apiRegister(params) {
    return fetch({
        url: '/profile/register/',
        method: 'post',
        data: Qs.stringify(params),
    })
}

// 登录校验
export function apiLogin(params) {
    return fetch({
        url: '/profile/login/',
        method: 'post',
        data: Qs.stringify(params),
    })
}

export function apiIsLogged() {
    return fetch({
        url: '/profile/islogged/',
        method: 'get',
    })
}

export function apiLogout() {
    return fetch({
        url: '/profile/logout/',
        method: 'get',
    })
}